Start a product bulk action
curl --request POST \
--url https://wisepim.com/api/public/v1/bulk-actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_ids": [
123
]
}
'import requests
url = "https://wisepim.com/api/public/v1/bulk-actions"
payload = { "product_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_ids: [123]})
};
fetch('https://wisepim.com/api/public/v1/bulk-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task_id": "<string>",
"status": "<string>",
"total_items": 123,
"estimated_credits": 123,
"deduplicated": false
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Start a product bulk action
POST /bulk-actions. Required scopes: products:write, bulk-actions:execute.
POST
/
api
/
public
/
v1
/
bulk-actions
Start a product bulk action
curl --request POST \
--url https://wisepim.com/api/public/v1/bulk-actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_ids": [
123
]
}
'import requests
url = "https://wisepim.com/api/public/v1/bulk-actions"
payload = { "product_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_ids: [123]})
};
fetch('https://wisepim.com/api/public/v1/bulk-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"task_id": "<string>",
"status": "<string>",
"total_items": 123,
"estimated_credits": 123,
"deduplicated": false
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Body
application/json
Required array length:
1 - 1000 elementsRequired range:
x <= 9223372036854776000Available options:
standardize-case, trim-whitespace, append-prepend, find-replace, find-and-replace, enforce-dictionary, remove-links, assign-categories, remove-categories, replace-categories, set-primary-category, change-price, special-price, volume-discounts, cost-margins, update-stock, stock-status, update-weight, set-dimensions, shipping-settings, set-attribute, numeric-operations, convert-numbers, clear-attribute, set-field, convert-units, change-uom, recalculate-quality, copy-field-values, move-field-values, change-visibility, set-shop-sync, change-status 
